
QGIS Application - Bug report #20717

Point layer display

2018-12-04 11:14 AM - Eugenio Cagnoni

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.18.26 Regression?: No

Operating System: win 10 64 bit professional Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 28537

Description

In version 2.18.25 and 2.18.26 the symbols of some dot layers are not shown into the map, but the extension is reconized and dots are

present in attribute table. Also version 3.4.1 is affected. 2.18.24 works fine.

History

#1 - 2018-12-05 06:01 PM - Giovanni Manghi

- Subject changed from Dot layer display to Point layer display

- Status changed from Open to Feedback

Your shapefile looks fine here (it does not come with the prj file, so not sure what is its CRS) on the latest 2.18 and 3.4, Can you describe better the

problem? Thanks.

#2 - 2018-12-14 10:55 AM - Phil Harvey

- File pointlayer_old.shp added

- File pointlayer_old.dbf added

- File pointlayer_old.shx added

- File pointlayer_corrected.shx added

- File pointlayer_corrected.shp added

- File pointlayer_corrected.dbf added

I experience the same failure. Some point layer shapefiles, in my case originally created by gvSIG CE 1.0, will not be displayed any more since v 2.18.25. I

realize, that from this version on the new gdal/ogr library 2.3.2 is implemented.

The attribute table is correct, but the features do not have coordinates, see gdalinfo. After running the files through OGR2OGR the files are read and

shown correctly.

#3 - 2018-12-27 11:12 AM - Eugenio Cagnoni

Eugenio Cagnoni wrote:

In version 2.18.25 and 2.18.26 the symbols of some dot layers are not shown into the map, but the extension is reconized and dots are present in

attribute table. Also version 3.4.1 is affected. 2.18.24 works fine.

With the latest version 2.18.27 the problem does not occur.
#4 - 2018-12-28 03:09 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Files

punti rilievo_punto.dbf 1.07 KB 2018-12-04 Eugenio Cagnoni

punti rilievo_punto.shp 1.71 KB 2018-12-04 Eugenio Cagnoni

punti rilievo_punto.shx 572 Bytes 2018-12-04 Eugenio Cagnoni

pointlayer_corrected.shp 74.9 KB 2018-12-14 Phil Harvey

pointlayer_corrected.dbf 147 KB 2018-12-14 Phil Harvey

pointlayer_corrected.shx 21.5 KB 2018-12-14 Phil Harvey

pointlayer_old.shp 74.9 KB 2018-12-14 Phil Harvey

pointlayer_old.dbf 147 KB 2018-12-14 Phil Harvey

pointlayer_old.shx 21.5 KB 2018-12-14 Phil Harvey
